Appendix D MySQL Enterprise Monitor Support
Prev |  |

## Appendix D MySQL Enterprise Monitor Support

This appendix describes the Diagnostics Report.

## D.1 Diagnostics Report

This chapter describes the Diagnostics Report. If you intend to communicate with MySQL Enterprise Monitor support, it is strongly recommended you provide this report with your support request.

### Introduction

To generate a diagnostic report file, select Diagnostics Report from the Settings menu. The information is provided as a time stamped Zip file (such as `support-20160115T2238.zip`) that is downloaded to the machine. The information contained in the report includes detailed information about your server (or multiple servers if you selected a server group), including configuration, hardware, MySQL options/variables and historical graphs. To view the information extracted, unzip the downloaded file and double-click the `index.html`.

This report is very useful for debugging the MySQL Enterprise Service Manager and the MySQL Enterprise Monitor Agent. When filling out a My Oracle Support (MOS) ticket include this report.

### Diagnostics Report File Contents

- `audit.log`: The Audit log file.

- `catalina.out`: A Tomcat log file.

- `com.mysql.etools.agent.csv`: A built-in MySQL Enterprise Monitor Agent log file.

- `java-threads.dot`: A list of the current Java threads and the dependencies.

- `java.props`: The current Java configuration properties.

- `java.threads`: A list of the current Java threads and their backtrace.

- `mysql-monitor.log`: The general MySQL Enterprise Service Manager log file.

- `mysql-monitor-full.log`: The full MySQL Enterprise Service Manager log file, that also contains stack traces.

- `mysql-monitor-agent.log`: A general built-in MySQL Enterprise Monitor Agent log file.

  `mysql-monitor-agent-full.log`: A full built-in MySQL Enterprise Monitor Agent log file, that also contains stack traces.

- `preferences.properties`: The MySQL Enterprise Monitor preference settings.

- `product usage.html`: A usage report for each MySQL Enterprise Monitor User Interface page.

- `query.instanceOverview.html`: An HTML list of the current query instance related information.

  Note

  The format of this file changed in 3.0. It is now listed as one Asset per block, instead of having one row per Asset inventory item.

- `Replication 1.dot`: The calculated MySQL server replication structure.

- `root.csv`: A copy of your main MySQL Enterprise Monitor log file.

- `server.props`: A copy of your server properties.

- `tomcat.log`: A Tomcat log file.

# Index

Symbols | | A | B | C | D | E | F | G | H | I | J | L | M | N | O | P | Q | R | S | T | U | V | W

### Symbols

[index top]

.NET connector plugin, Using the MySQL Enterprise Plugin for Connector/Net

###

[index top]

, Service Manager Configuration Utilities

### A

[index top]

Administration Advisors, Administration Advisors
  32-Bit Binary Running on 64-Bit AMD Or Intel System, 32-Bit Binary Running on 64-Bit AMD Or Intel System
  Binary Log Debug Information Disabled, Binary Log Debug Information Disabled
  Binary Logging Is Limited, Binary Logging Is Limited
  Binary Logging Not Enabled, Binary Logging Not Enabled
  Binary Logging Not Synchronized To Disk At Each Write, Binary Logging Not Synchronized To Disk At Each Write
  Binary Logs Automatically Removed Too Quickly, Binary Logs Automatically Removed Too Quickly
  Database May Not Be Portable Due To Identifier Case Sensitivity, Database May Not Be Portable Due To Identifier Case Sensitivity
  Event Scheduler Disabled, Event Scheduler Disabled
  General Query Log Enabled, General Query Log Enabled
  Host Cache Size Not Sufficient, Host Cache Size Not Sufficient
  In-Memory Temporary Table Size Limited By Maximum Heap Table Size, In-Memory Temporary Table Size Limited By Maximum Heap Table Size
  InnoDB Status Truncation Detected, InnoDB Status Truncation Detected
  InnoDB Strict Mode Is Off, InnoDB Strict Mode Is Off
  InnoDB Tablespace Cannot Automatically Expand, InnoDB Tablespace Cannot Automatically Expand
  InnoDB Transaction Logs Not Sized Correctly, InnoDB Transaction Logs Not Sized Correctly
  Multiple Threads Used When Repairing MyISAM Tables, Multiple Threads Used When Repairing MyISAM Tables
  MySQL Server No Longer Eligible For Oracle Premier Support, MySQL Server No Longer Eligible For Oracle Premier Support
  Next-Key Locking Disabled For InnoDB But Binary Logging Enabled, Next-Key Locking Disabled For InnoDB But Binary Logging Enabled
  No Value Set For MyISAM Recover Options, No Value Set For MyISAM Recover Options
  Table Cache Set Too Low For Startup, Table Cache Set Too Low For Startup
  Time Zone Data Not Loaded, Time Zone Data Not Loaded
  Warnings Not Being Logged, Warnings Not Being Logged
--adminpassword option, MySQL Enterprise Service Manager Options
--adminuser option, MySQL Enterprise Service Manager Options
Advisors, GUI-Based Advisor Reference
  32-Bit Binary Running on 64-Bit AMD Or Intel System, 32-Bit Binary Running on 64-Bit AMD Or Intel System
  Account Has An Overly Broad Host Specifier, Account Has An Overly Broad Host Specifier
  Account Has Global Privileges, Account Has Global Privileges
  Account Has Old Insecure Password Hash, Account Has Old Insecure Password Hash
  Account Has Strong MySQL Privileges, Account Has Strong MySQL Privileges
  Account Requires Unavailable Authentication Plug-ins, Account Requires Unavailable Authentication Plug-ins
  Agent Health Advisor, Agent Health Advisor
  Attempted Connections To The Server Have Failed, Attempted Connections To The Server Have Failed
  AUTO_INCREMENT Field Limit Nearly Reached, AUTO_INCREMENT Field Limit Nearly Reached
  Average Statement Execution Time Advisor, Average Statement Execution Time Advisor
  Binary Log Checksums Disabled, Binary Log Checksums Disabled
  Binary Log Debug Information Disabled, Binary Log Debug Information Disabled
  Binary Log File Count Exceeds Specified Limit, Binary Log File Count Exceeds Specified Limit
  Binary Log Row Based Images Excessive, Binary Log Row Based Images Excessive
  Binary Log Space Exceeds Specified Limit, Binary Log Space Exceeds Specified Limit
  Binary Log Usage Exceeding Disk Cache Memory Limits, Binary Log Usage Exceeding Disk Cache Memory Limits
  Binary Logging Is Limited, Binary Logging Is Limited
  Binary Logging Not Enabled, Binary Logging Not Enabled
  Binary Logging Not Synchronized To Disk At Each Write, Binary Logging Not Synchronized To Disk At Each Write
  Binary Logs Automatically Removed Too Quickly, Binary Logs Automatically Removed Too Quickly
  Cluster Data Node Data Memory Getting Low, Cluster Data Node Data Memory Getting Low
  Cluster Data Node Has Been Restarted, Cluster Data Node Has Been Restarted
  Cluster Data Node Index Memory Getting Low, Cluster Data Node Index Memory Getting Low
  Cluster Data Node Redo Buffer Space Getting Low, Cluster Data Node Redo Buffer Space Getting Low
  Cluster Data Node Redo Log Space Getting Low, Cluster Data Node Redo Log Space Getting Low
  Cluster Data Node Undo Buffer Space Getting Low, Cluster Data Node Undo Buffer Space Getting Low
  Cluster Data Node Undo Log Space Getting Low, Cluster Data Node Undo Log Space Getting Low
  Cluster Data Nodes Not Running, Cluster Data Nodes Not Running
  Cluster DiskPageBuffer Hit Ratio Is Low, Cluster DiskPageBuffer Hit Ratio Is Low
  Cluster Has Stopped, Cluster Has Stopped
  CPU Utilization Advisor, CPU Utilization Advisor
  Database May Not Be Portable Due To Identifier Case Sensitivity, Database May Not Be Portable Due To Identifier Case Sensitivity
  Duplicate MySQL Server UUID, Duplicate MySQL Server UUID
  Event Scheduler Disabled, Event Scheduler Disabled
  Excessive Disk Temporary Table Usage Detected, Excessive Disk Temporary Table Usage Detected
  Excessive Number of Locked Processes, Excessive Number of Locked Processes
  Excessive Number of Long Running Processes, Excessive Number of Long Running Processes
  Excessive Number of Long Running Processes Locked, Excessive Number of Long Running Processes Locked
  Excessive Percentage Of Attempted Connections To The Server Have Failed, Excessive Percentage Of Attempted Connections To The Server Have Failed
  Filesystem Free Space Advisor, Filesystem Free Space Advisor
  Flush Time Set To Non-Zero Value, Flush Time Set To Non-Zero Value
  General Query Log Enabled, General Query Log Enabled
  Host Cache Size Not Sufficient, Host Cache Size Not Sufficient
  HTTP Server KeyStore's Certificate About to Expire Advisor, HTTP Server KeyStore's Certificate About to Expire
  HTTP Server Performance, HTTP Server Performance
  In-Memory Temporary Table Size Limited By Maximum Heap Table Size, In-Memory Temporary Table Size Limited By Maximum Heap Table Size
  Indexes Not Being Used Efficiently, Indexes Not Being Used Efficiently
  InnoDB Buffer Cache Has Sub-Optimal Hit Rate, InnoDB Buffer Cache Has Sub-Optimal Hit Rate
  InnoDB Buffer Pool Writes May Be Performance Bottleneck, InnoDB Buffer Pool Writes May Be Performance Bottleneck
  InnoDB Flush Method May Not Be Optimal, InnoDB Flush Method May Not Be Optimal
  InnoDB Log Buffer Flushed To Disk After Each Transaction, InnoDB Log Buffer Flushed To Disk After Each Transaction
  InnoDB Log Waits May Be Performance Bottleneck, InnoDB Log Waits May Be Performance Bottleneck
  InnoDB Not Using Newest File Format, InnoDB Not Using Newest File Format
  InnoDB Status Truncation Detected, InnoDB Status Truncation Detected
  InnoDB Strict Mode Is Off, InnoDB Strict Mode Is Off
  InnoDB Tablespace Cannot Automatically Expand, InnoDB Tablespace Cannot Automatically Expand
  InnoDB Transaction Logs Not Sized Correctly, InnoDB Transaction Logs Not Sized Correctly
  Insecure Password Authentication Option Is Enabled, Insecure Password Authentication Option Is Enabled
  Insecure Password Generation Option Is Enabled, Insecure Password Generation Option Is Enabled
  Key Buffer Size May Not Be Optimal For Key Cache, Key Buffer Size May Not Be Optimal For Key Cache
  LOCAL Option Of LOAD DATA Statement Is Enabled, LOCAL Option Of LOAD DATA Statement Is Enabled
  Master Not Verifying Checksums When Reading From Binary Log, Master Not Verifying Checksums When Reading From Binary Log
  Maximum Connection Limit Nearing Or Reached, Maximum Connection Limit Nearing Or Reached
  Multiple Threads Used When Repairing MyISAM Tables, Multiple Threads Used When Repairing MyISAM Tables
  MyISAM Concurrent Insert Setting May Not Be Optimal, MyISAM Concurrent Insert Setting May Not Be Optimal
  MyISAM Indexes Found with No Statistics, MyISAM Indexes Found with No Statistics
  MySQL Agent Memory Usage Excessive, MySQL Agent Memory Usage Excessive
  MySQL Agent Not Reachable, MySQL Agent Not Reachable
  MySQL Availability, MySQL Availability
  MySQL Enterprise Backup Health Advisor, MySQL Enterprise Backup Health Advisor
  MySQL Process Discovery Advisor, MySQL Process Discovery Advisor
  MySQL Server Has Been Restarted, MySQL Server Has Been Restarted
  MySQL Server No Longer Eligible For Oracle Premier Support, MySQL Server No Longer Eligible For Oracle Premier Support
  Next-Key Locking Disabled For InnoDB But Binary Logging Enabled, Next-Key Locking Disabled For InnoDB But Binary Logging Enabled
  No Value Set For MyISAM Recover Options, No Value Set For MyISAM Recover Options
  Non-root User Has DB, Table, Or Index Privileges On All Databases, Non-root User Has DB, Table, Or Index Privileges On All Databases
  Non-root User Has GRANT Privileges On All Databases, Non-root User Has GRANT Privileges On All Databases
  Non-root User Has Server Admin Privileges, Non-root User Has Server Admin Privileges
  Object Changed: Database Has Been Altered, Object Changed: Database Has Been Altered
  Object Changed: Database Has Been Created, Object Changed: Database Has Been Created
  Object Changed: Database Has Been Dropped, Object Changed: Database Has Been Dropped
  Object Changed: Function Has Been Created, Object Changed: Function Has Been Created
  Object Changed: Function Has Been Dropped, Object Changed: Function Has Been Dropped
  Object Changed: Index Has Been Created, Object Changed: Index Has Been Created
  Object Changed: Index Has Been Dropped, Object Changed: Index Has Been Dropped
  Object Changed: Table Has Been Altered, Object Changed: Table Has Been Altered
  Object Changed: Table Has Been Created, Object Changed: Table Has Been Created
  Object Changed: Table Has Been Dropped, Object Changed: Table Has Been Dropped
  Object Changed: User Has Been Dropped, Object Changed: User Has Been Dropped
  Object Changes Detected, Object Changes Detected
  Policy-Based Password Validation Does Not Perform Dictionary Checks, Policy-Based Password Validation Does Not Perform Dictionary Checks
  Policy-Based Password Validation Is Weak, Policy-Based Password Validation Is Weak
  Policy-Based Password Validation Not Enabled, Policy-Based Password Validation Not Enabled
  Prepared Statements Not Being Closed, Prepared Statements Not Being Closed
  Prepared Statements Not Being Used Effectively, Prepared Statements Not Being Used Effectively
  Privilege Alterations Detected: Privileges Granted, Privilege Alterations Detected: Privileges Granted
  Privilege Alterations Detected: Privileges Revoked, Privilege Alterations Detected: Privileges Revoked
  Privilege Alterations Have Been Detected, Privilege Alterations Have Been Detected
  Query Analysis Reporting, Query Analysis Reporting
  Query Cache Has Sub-Optimal Hit Rate, Query Cache Has Sub-Optimal Hit Rate
  Query Cache Is Excessively Fragmented, Query Cache Is Excessively Fragmented
  Query Cache Potentially Undersized, Query Cache Potentially Undersized
  Query Pileup Advisor, Query Pileup Advisor
  Replication Configuration Advisor, Replication Configuration Advisor
  Replication Status Advisor, Replication Status Advisor
  Root Account Can Login Remotely, Root Account Can Login Remotely
  Root Account Without Password, Root Account Without Password
  Server Contains Default "test" Database, Server Contains Default "test" Database
  Server Has Accounts Without A Password, Server Has Accounts Without A Password
  Server Has Anonymous Accounts, Server Has Anonymous Accounts
  Server Has No Locally Authenticated Root User, Server Has No Locally Authenticated Root User
  Server Includes A Root User Account, Server Includes A Root User Account
  Server-Enforced Data Integrity Checking Disabled, Server-Enforced Data Integrity Checking Disabled
  Server-Enforced Data Integrity Checking Not Strict, Server-Enforced Data Integrity Checking Not Strict
  SHA-256 Password Authentication Not Enabled, SHA-256 Password Authentication Not Enabled
  Slave Detection Of Network Outages Too High, Slave Detection Of Network Outages Too High
  Slave Execution Position Too Far Behind Read Position, Slave Execution Position Too Far Behind Read Position
  Slave Has Login Accounts With Inappropriate Privileges, Slave Has Login Accounts With Inappropriate Privileges
  Slave Master Info/Relay Log Info Not Crash Safe, Slave Master Info/Relay Log Info Not Crash Safe
  Slave Not Configured As Read Only, Slave Not Configured As Read Only
  Slave Not Verifying Checksums When Reading From Relay Log, Slave Not Verifying Checksums When Reading From Relay Log
  Slave Relay Log Space Is Very Large, Slave Relay Log Space Is Very Large, Slave Relay Logs Not Automatically Purged
  Slave SQL Processing Not Multi-Threaded, Slave SQL Processing Not Multi-Threaded
  Slave SQL Thread Reading From Older Relay Log Than I/O Thread, Slave SQL Thread Reading From Older Relay Log Than I/O Thread
  Slave Too Far Behind Master, Slave Too Far Behind Master
  Slave Without REPLICATION SLAVE Accounts, Slave Without REPLICATION SLAVE Accounts
  SQL Statement Generates Warnings or Errors, SQL Statement Generates Warnings or Errors
  Support Diagnostics, Support Diagnostics
  Symlinks Are Enabled, Symlinks Are Enabled
  sys Schema Install Advisor, sys Schema Install Advisor
  Table Cache Not Optimal, Table Cache Not Optimal
  Table Cache Set Too Low For Startup, Table Cache Set Too Low For Startup
  Table Lock Contention Excessive, Table Lock Contention Excessive
  Tables Found with No Primary or Unique Keys, Tables Found with No Primary or Unique Keys
  Thread Cache Not Enabled, Thread Cache Not Enabled
  Thread Cache Size May Not Be Optimal, Thread Cache Size May Not Be Optimal
  Thread Pool Stall Limit Too Low, Thread Pool Stall Limit Too Low
  Thread Pooling Not Enabled, Thread Pooling Not Enabled
  Time Zone Data Not Loaded, Time Zone Data Not Loaded
  Too Many Concurrent Queries Running, Too Many Concurrent Queries Running
  User Has Rights To Database That Does Not Exist, User Has Rights To Database That Does Not Exist
  User Has Rights To Table That Does Not Exist, User Has Rights To Table That Does Not Exist
  Users Can View All Databases On MySQL Server, Users Can View All Databases On MySQL Server
  Warnings Not Being Logged, Warnings Not Being Logged
  Wrong Version Agent Tracker, Wrong Version Agent Tracker
advisors
  creating, Creating Advisors and Rules, Creating a New Advisor: An Example
agent
  installation, Monitor Agent Installation
  troubleshooting, Troubleshooting the Agent
Agent Advisors, Agent Advisors
  Agent Health Advisor, Agent Health Advisor
  MySQL Agent Memory Usage Excessive, MySQL Agent Memory Usage Excessive
  MySQL Agent Not Reachable, MySQL Agent Not Reachable
--agent_autocreate option, MySQL Enterprise Monitor Agent Options
--agent_installtype option, MySQL Enterprise Monitor Agent Options
--agentpassword option, MySQL Enterprise Monitor Agent Options
--agentservicename option, MySQL Enterprise Monitor Agent Options
--agentuser option, MySQL Enterprise Monitor Agent Options
Aggregator
  PHP connector, Using the MySQL Enterprise Plugin for Connector/PHP
Apple OS X, Starting/Stopping the Agent on Mac OS X, Log Files for the MySQL Enterprise Service Manager
architecture, MySQL Enterprise Monitor Introduction and Architecture
Availability Advisors, Availability Advisors
  Attempted Connections To The Server Have Failed, Attempted Connections To The Server Have Failed
  Excessive Percentage Of Attempted Connections To The Server Have Failed, Excessive Percentage Of Attempted Connections To The Server Have Failed
  Maximum Connection Limit Nearing Or Reached, Maximum Connection Limit Nearing Or Reached
  MySQL Availability, MySQL Availability
  MySQL Server Has Been Restarted, MySQL Server Has Been Restarted

### B

[index top]

backup
  restore, Restoring from Backup
Backup Advisors
  MySQL Enterprise Backup Health Advisor, MySQL Enterprise Backup Health Advisor
--backupdir option, MySQL Enterprise Service Manager Options
blackout period, Event Notification Blackout Periods
browsers, Supported Browsers

### C

[index top]

--checkmysqlhost option, MySQL Enterprise Monitor Agent Options
Cluster Advisors, Cluster Advisors
  Cluster Data Node Data Memory Getting Low, Cluster Data Node Data Memory Getting Low
  Cluster Data Node Has Been Restarted, Cluster Data Node Has Been Restarted
  Cluster Data Node Index Memory Getting Low, Cluster Data Node Index Memory Getting Low
  Cluster Data Node Redo Buffer Space Getting Low, Cluster Data Node Redo Buffer Space Getting Low
  Cluster Data Node Redo Log Space Getting Low, Cluster Data Node Redo Log Space Getting Low
  Cluster Data Node Undo Buffer Space Getting Low, Cluster Data Node Undo Buffer Space Getting Low
  Cluster Data Node Undo Log Space Getting Low, Cluster Data Node Undo Log Space Getting Low
  Cluster Data Nodes Not Running, Cluster Data Nodes Not Running
  Cluster DiskPageBuffer Hit Ratio Is Low, Cluster DiskPageBuffer Hit Ratio Is Low
  Cluster Has Stopped, Cluster Has Stopped
config.properties file, The config.properties file
configuration files, Log Files for the MySQL Enterprise Service Manager
configuration utilities
  agent, Agent Configuration Utility
  agent.bat, Agent Configuration Utility
  agent.sh, Agent Configuration Utility
  config.bat, Configuration Utilities
  config.sh, Configuration Utilities
  service manager, Configuration Utilities
Connector/J, Using the MySQL Enterprise Plugin for Connector/J
Connector/Net, Using the MySQL Enterprise Plugin for Connector/Net
--createBackup option, MySQL Enterprise Monitor Agent Options
--createDataBackup option, MySQL Enterprise Service Manager Options
custom data collection
  customizing advisors, Custom Data Collection

### D

[index top]

data_collection_interval option, Usage
--dbhost option, MySQL Enterprise Service Manager Options
--dbname option, MySQL Enterprise Service Manager Options
dbpool.default.initialSize option, Usage
dbpool.default.maxActive option, Usage
dbpool.default.maxIdle option, Usage
dbpool.default.maxWaitMillis option, Usage
dbpool.default.minEvictableIdleTimeMillis option, Usage
dbpool.default.minIdle option, Usage
dbpool.default.timeBetweenEvictionRunsMillis option, Usage
dbpool.ui.initialSize option, Usage
dbpool.ui.maxActive option, Usage
dbpool.ui.maxIdle option, Usage
dbpool.ui.maxWaitMillis option, Usage
dbpool.ui.minEvictableIdleTimeMillis option, Usage
dbpool.ui.minIdle option, Usage
dbpool.ui.timeBetweenEvictionRunsMillis option, Usage
--dbport option, MySQL Enterprise Service Manager Options
--debuglevel option, MySQL Enterprise Service Manager Options, MySQL Enterprise Monitor Agent Options
--debugtrace option, MySQL Enterprise Service Manager Options, MySQL Enterprise Monitor Agent Options
diagnostic report, MySQL Enterprise Monitor Support
Diagnostics Report, Diagnostics Report

### E

[index top]

expressions, Thresholds

### F

[index top]

FAQs, MySQL Enterprise Monitor Frequently Asked Questions
firewall issues, Monitoring Outside the Firewall with an SSH Tunnel
--forceRestart option, MySQL Enterprise Service Manager Options

### G

[index top]

--generalpassword option, MySQL Enterprise Monitor Agent Options
--generaluser option, MySQL Enterprise Monitor Agent Options
graphs
  creating, Creating Advisors and Rules, Creating a New Graph: An Example

### H

[index top]

--help option, MySQL Enterprise Service Manager Options, MySQL Enterprise Monitor Agent Options

### I

[index top]

--ignore-old-proxy-aggr option, MySQL Enterprise Monitor Agent Options
InnoDB Buffer Pool Usage Report, InnoDB Buffer Pool Usage
installation
  agent, Monitor Agent Installation
  backup, Restoring from Backup
  post-install tasks, Post-installation Considerations
  service manager, Service Manager Installation
  unattended, Unattended Installation
--installdir option, MySQL Enterprise Service Manager Options, MySQL Enterprise Monitor Agent Options
--installer option, MySQL Enterprise Service Manager Options
--installer-language option, MySQL Enterprise Monitor Agent Options
internal_perf_enable option, Usage
internal_perf_server_id option, Usage

### J

[index top]

Java connector plugin, Using the MySQL Enterprise Plugin for Connector/J
Java VM
  installation, Service Manager Installation

### L

[index top]

--limitedpassword option, MySQL Enterprise Monitor Agent Options
--limiteduser option, MySQL Enterprise Monitor Agent Options
Linux, Starting/Stopping the Agent on Unix, Log Files for the MySQL Enterprise Service Manager
locale, Setting the Timezone and Locale
log file
  MySQL Enterprise Service Manager, Log Files for the MySQL Enterprise Service Manager

### M

[index top]

Mac OS X, Starting/Stopping the Agent on Mac OS X, Log Files for the MySQL Enterprise Service Manager
--managerhost option, MySQL Enterprise Monitor Agent Options
--managerport option, MySQL Enterprise Monitor Agent Options
Memory Usage Advisors, Memory Usage Advisors
  InnoDB Buffer Cache Has Sub-Optimal Hit Rate, InnoDB Buffer Cache Has Sub-Optimal Hit Rate
  Key Buffer Size May Not Be Optimal For Key Cache, Key Buffer Size May Not Be Optimal For Key Cache
  Query Cache Has Sub-Optimal Hit Rate, Query Cache Has Sub-Optimal Hit Rate
  Query Cache Potentially Undersized, Query Cache Potentially Undersized
  Table Cache Not Optimal, Table Cache Not Optimal
  Thread Cache Size May Not Be Optimal, Thread Cache Size May Not Be Optimal
MIB file, The Management Information Base (MIB) File
--mode option, MySQL Enterprise Service Manager Options, MySQL Enterprise Monitor Agent Options
monitor
  installation, Service Manager Installation
Monitoring and Support Advisors
  HTTP Server KeyStore's Certificate About to Expire Advisor, HTTP Server KeyStore's Certificate About to Expire
  sys Schema Install Advisor, sys Schema Install Advisor
Monitoring and Support Services Advisors, Monitoring and Support Services Advisors
  Duplicate MySQL Server UUID, Duplicate MySQL Server UUID
  HTTP Server Performance, HTTP Server Performance
  MySQL Process Discovery Advisor, MySQL Process Discovery Advisor
  Support Diagnostics, Support Diagnostics
  Wrong Version Agent Tracker, Wrong Version Agent Tracker
MySQL Server
  installation, Service Manager Installation
mysql-monitor-agent.log file, Agent Log Files
--mysqlconnectiongroup option, MySQL Enterprise Monitor Agent Options
--mysqlconnmethod option, MySQL Enterprise Monitor Agent Options
mysqlenterprise.* options, Using the MySQL Enterprise Plugin for Connector/PHP, Using the MySQL Enterprise Plugin for Connector/J
--mysqlhost option, MySQL Enterprise Monitor Agent Options
--mysql-identity-source option, MySQL Enterprise Service Manager Options
--mysqlpassword option, MySQL Enterprise Monitor Agent Options
--mysqlport option, MySQL Enterprise Monitor Agent Options
--mysqlsocket option, MySQL Enterprise Monitor Agent Options
--mysqluser option, MySQL Enterprise Monitor Agent Options
--mysql_installation_type option, MySQL Enterprise Service Manager Options
--mysql_ssl option, MySQL Enterprise Service Manager Options

### N

[index top]

notify_thread_pool_size option, Usage

### O

[index top]

Operating System Advisors, Operating System Advisors
  CPU Utilization Advisor, CPU Utilization Advisor
  Filesystem Free Space Advisor, Filesystem Free Space Advisor
--optionfile option, MySQL Enterprise Service Manager Options, MySQL Enterprise Monitor Agent Options
OS X, Starting/Stopping the Agent on Mac OS X, Log Files for the MySQL Enterprise Service Manager
overview, MySQL Enterprise Monitor Introduction and Architecture
Overview Dashboard, Overview

### P

[index top]

Performance Advisors, Performance Advisors
  Binary Log Usage Exceeding Disk Cache Memory Limits, Binary Log Usage Exceeding Disk Cache Memory Limits
  Excessive Disk Temporary Table Usage Detected, Excessive Disk Temporary Table Usage Detected
  Excessive Number of Locked Processes, Excessive Number of Locked Processes
  Excessive Number of Long Running Processes, Excessive Number of Long Running Processes
  Excessive Number of Long Running Processes Locked, Excessive Number of Long Running Processes Locked
  Flush Time Set To Non-Zero Value, Flush Time Set To Non-Zero Value
  Indexes Not Being Used Efficiently, Indexes Not Being Used Efficiently
  InnoDB Buffer Pool Writes May Be Performance Bottleneck, InnoDB Buffer Pool Writes May Be Performance Bottleneck
  InnoDB Flush Method May Not Be Optimal, InnoDB Flush Method May Not Be Optimal
  InnoDB Log Buffer Flushed To Disk After Each Transaction, InnoDB Log Buffer Flushed To Disk After Each Transaction
  InnoDB Log Waits May Be Performance Bottleneck, InnoDB Log Waits May Be Performance Bottleneck
  InnoDB Not Using Newest File Format, InnoDB Not Using Newest File Format
  MyISAM Concurrent Insert Setting May Not Be Optimal, MyISAM Concurrent Insert Setting May Not Be Optimal
  Prepared Statements Not Being Closed, Prepared Statements Not Being Closed
  Prepared Statements Not Being Used Effectively, Prepared Statements Not Being Used Effectively
  Query Cache Is Excessively Fragmented, Query Cache Is Excessively Fragmented
  Table Lock Contention Excessive, Table Lock Contention Excessive
  Thread Cache Not Enabled, Thread Cache Not Enabled
  Thread Pool Stall Limit Too Low, Thread Pool Stall Limit Too Low
  Thread Pooling Not Enabled, Thread Pooling Not Enabled
  Too Many Concurrent Queries Running, Too Many Concurrent Queries Running
performance schema, Using the MySQL Performance Schema
performance tuning, Performance Tuning MySQL Enterprise Monitor
PHP connector plugin
  Aggregator, Using the MySQL Enterprise Plugin for Connector/PHP
ports
  MySQL server for monitoring, MySQL Enterprise Monitor Agent Options
  MySQL server for repository, MySQL Enterprise Service Manager Options
  service manager, MySQL Enterprise Service Manager Options, MySQL Enterprise Monitor Agent Options
  Tomcat, MySQL Enterprise Service Manager Options
  Tomcat SSL, MySQL Enterprise Service Manager Options
post-install tasks, Post-installation Considerations

### Q

[index top]

quanal.collect option, Usage
Query Analysis Advisors, Query Analysis Advisors
  Average Statement Execution Time Advisor, Average Statement Execution Time Advisor
  Query Analysis Reporting, Query Analysis Reporting
  Query Pileup Advisor, Query Pileup Advisor
  SQL Statement Generates Warnings or Errors, SQL Statement Generates Warnings or Errors
Query Analyzer, Using the Query Analyzer
  .NET connector, Using the MySQL Enterprise Plugin for Connector/Net
  Java connector, Using the MySQL Enterprise Plugin for Connector/J
  PHP connector, Using the MySQL Enterprise Plugin for Connector/PHP
  supplying query data, Providing Query Analyzer Data
Query Analyzer tab, Query Analyzer User Interface

### R

[index top]

Replication, Replication Dashboard
Replication Advisors, Replication Advisors
  Binary Log Checksums Disabled, Binary Log Checksums Disabled
  Binary Log File Count Exceeds Specified Limit, Binary Log File Count Exceeds Specified Limit
  Binary Log Row Based Images Excessive, Binary Log Row Based Images Excessive
  Binary Log Space Exceeds Specified Limit, Binary Log Space Exceeds Specified Limit
  Master Not Verifying Checksums When Reading From Binary Log, Master Not Verifying Checksums When Reading From Binary Log
  Replication Configuration Advisor, Replication Configuration Advisor
  Replication Status Advisor, Replication Status Advisor
  Slave Detection Of Network Outages Too High, Slave Detection Of Network Outages Too High
  Slave Execution Position Too Far Behind Read Position, Slave Execution Position Too Far Behind Read Position
  Slave Has Login Accounts With Inappropriate Privileges, Slave Has Login Accounts With Inappropriate Privileges
  Slave Master Info/Relay Log Info Not Crash Safe, Slave Master Info/Relay Log Info Not Crash Safe
  Slave Not Configured As Read Only, Slave Not Configured As Read Only
  Slave Not Verifying Checksums When Reading From Relay Log, Slave Not Verifying Checksums When Reading From Relay Log
  Slave Relay Log Space Is Very Large, Slave Relay Log Space Is Very Large, Slave Relay Logs Not Automatically Purged
  Slave SQL Processing Not Multi-Threaded, Slave SQL Processing Not Multi-Threaded
  Slave SQL Thread Reading From Older Relay Log Than I/O Thread, Slave SQL Thread Reading From Older Relay Log Than I/O Thread
  Slave Too Far Behind Master, Slave Too Far Behind Master
  Slave Without REPLICATION SLAVE Accounts, Slave Without REPLICATION SLAVE Accounts
repository
  database name, MySQL Enterprise Service Manager Options
--restartImmediately option, MySQL Enterprise Monitor Agent Options
restore
  backup, Restoring from Backup
restoring
  backup, Restoring from Backup
rules
  blackout periods, Event Notification Blackout Periods
  creating, Creating Advisors and Rules
  variable substitution, Variables

### S

[index top]

Schema Advisors, Schema Advisors
  AUTO_INCREMENT Field Limit Nearly Reached, AUTO_INCREMENT Field Limit Nearly Reached
  MyISAM Indexes Found with No Statistics, MyISAM Indexes Found with No Statistics
  Object Changed: Database Has Been Altered, Object Changed: Database Has Been Altered
  Object Changed: Database Has Been Created, Object Changed: Database Has Been Created
  Object Changed: Database Has Been Dropped, Object Changed: Database Has Been Dropped
  Object Changed: Function Has Been Created, Object Changed: Function Has Been Created
  Object Changed: Function Has Been Dropped, Object Changed: Function Has Been Dropped
  Object Changed: Index Has Been Created, Object Changed: Index Has Been Created
  Object Changed: Index Has Been Dropped, Object Changed: Index Has Been Dropped
  Object Changed: Table Has Been Altered, Object Changed: Table Has Been Altered
  Object Changed: Table Has Been Created, Object Changed: Table Has Been Created
  Object Changed: Table Has Been Dropped, Object Changed: Table Has Been Dropped
  Object Changed: User Has Been Dropped, Object Changed: User Has Been Dropped
  Object Changes Detected, Object Changes Detected
  Server-Enforced Data Integrity Checking Disabled, Server-Enforced Data Integrity Checking Disabled
  Server-Enforced Data Integrity Checking Not Strict, Server-Enforced Data Integrity Checking Not Strict
  Tables Found with No Primary or Unique Keys, Tables Found with No Primary or Unique Keys
Security Advisors, Security Advisors, Security Advisors
  Account Has An Overly Broad Host Specifier, Account Has An Overly Broad Host Specifier
  Account Has Global Privileges, Account Has Global Privileges
  Account Has Old Insecure Password Hash, Account Has Old Insecure Password Hash
  Account Has Strong MySQL Privileges, Account Has Strong MySQL Privileges
  Account Requires Unavailable Authentication Plug-ins, Account Requires Unavailable Authentication Plug-ins
  Insecure Password Authentication Option Is Enabled, Insecure Password Authentication Option Is Enabled
  Insecure Password Generation Option Is Enabled, Insecure Password Generation Option Is Enabled
  LOCAL Option Of LOAD DATA Statement Is Enabled, LOCAL Option Of LOAD DATA Statement Is Enabled
  MySQL Enterprise Audit Plugin, MySQL Enterprise Audit Plugin
  Non-root User Has DB, Table, Or Index Privileges On All Databases, Non-root User Has DB, Table, Or Index Privileges On All Databases
  Non-root User Has GRANT Privileges On All Databases, Non-root User Has GRANT Privileges On All Databases
  Non-root User Has Server Admin Privileges, Non-root User Has Server Admin Privileges
  Policy-Based Password Validation Does Not Perform Dictionary Checks, Policy-Based Password Validation Does Not Perform Dictionary Checks
  Policy-Based Password Validation Is Weak, Policy-Based Password Validation Is Weak
  Policy-Based Password Validation Not Enabled, Policy-Based Password Validation Not Enabled
  Privilege Alterations Detected: Privileges Granted, Privilege Alterations Detected: Privileges Granted
  Privilege Alterations Detected: Privileges Revoked, Privilege Alterations Detected: Privileges Revoked
  Privilege Alterations Have Been Detected, Privilege Alterations Have Been Detected
  Root Account Can Login Remotely, Root Account Can Login Remotely
  Root Account Without Password, Root Account Without Password
  Server Contains Default "test" Database, Server Contains Default "test" Database
  Server Has Accounts Without A Password, Server Has Accounts Without A Password
  Server Has Anonymous Accounts, Server Has Anonymous Accounts
  Server Has No Locally Authenticated Root User, Server Has No Locally Authenticated Root User
  Server Includes A Root User Account, Server Includes A Root User Account
  SHA-256 Password Authentication Not Enabled, SHA-256 Password Authentication Not Enabled
  Symlinks Are Enabled, Symlinks Are Enabled
  User Has Rights To Database That Does Not Exist, User Has Rights To Database That Does Not Exist
  User Has Rights To Table That Does Not Exist, User Has Rights To Table That Does Not Exist
  Users Can View All Databases On MySQL Server, Users Can View All Databases On MySQL Server
service manager
  database name, MySQL Enterprise Service Manager Options
  installation, Service Manager Installation
services
  starting and stopping, Starting/Stopping the MySQL Enterprise Monitor Services
SNMP traps, The Management Information Base (MIB) File
sql_mode, sql_mode
SSH tunnelling, Monitoring Outside the Firewall with an SSH Tunnel
SSL, MySQL Enterprise Service Manager Options
starting
  MySQL Enterprise Monitor service, Starting/Stopping the MySQL Enterprise Monitor Services on Windows
  MySQL Enterprise Monitor services, Starting/Stopping the MySQL Enterprise Monitor Services
stopping
  MySQL Enterprise Monitor service, Starting/Stopping the MySQL Enterprise Monitor Services on Windows
  MySQL Enterprise Monitor services, Starting/Stopping the MySQL Enterprise Monitor Services
support files
  diagnostic report, MySQL Enterprise Monitor Support
supportReport.retention.minutes option, Usage
--system-size option, MySQL Enterprise Service Manager Options

### T

[index top]

thread_pool_size option, Usage
thresholds, Thresholds
timezone, Setting the Timezone and Locale
Tomcat
  installation, Service Manager Installation
  starting and stopping, Starting/Stopping the MySQL Enterprise Monitor Services on Windows
--tomcatport option, MySQL Enterprise Service Manager Options
--tomcatsslport option, MySQL Enterprise Service Manager Options
troubleshooting, Troubleshooting the Agent
tuning, Performance Tuning MySQL Enterprise Monitor

### U

[index top]

ui.javascript.useClientSideStorage option, Usage
unattended installation, Unattended Installation
--unattendedmodeui option, MySQL Enterprise Service Manager Options, MySQL Enterprise Monitor Agent Options
Unix, Starting/Stopping the Agent on Unix, Log Files for the MySQL Enterprise Service Manager

### V

[index top]

variable substitution, Variables
--version option, MySQL Enterprise Service Manager Options, MySQL Enterprise Monitor Agent Options

### W

[index top]

Web browsers, Supported Browsers
Wiki markup, Wiki Format
Windows, Starting/Stopping the MySQL Enterprise Monitor Services on Windows, Starting/Stopping the Agent on Windows, Log Files for the MySQL Enterprise Service Manager

Prev | Up |
Appendix C MySQL Enterprise Monitor Frequently Asked Questions | Home |